/* =============================
// footer style
============================= */

/* ========== contact ========== */

.footer-contact {
  padding: 14rem 0;
}

.footer-contact__subtitle {
  color: #553100;
  text-align: center;
  font-size: 2.8rem;
  line-height: 1;
}

.footer-contact__title {
  text-align: center;
  font-family: "Shippori Mincho B1";
  font-size: 5rem;
  line-height: 1;
  padding: 4rem 0;
}

.footer-contact__text {
  text-align: center;
  font-size: 1.8rem;
  line-height: 2;
  margin-bottom: 4rem;
}

/* ========== footer-canada ========== */

.footer-canada {
  display: flex;
  justify-content: center;
  margin-bottom: 10rem;
}

/* ========== sns ========== */
.footer-sns {
  position: relative;
  background: rgba(25, 97, 127, 0.80);
  border-radius: 2rem;
  color: #fff;
  padding: 7rem 0;
  text-align: center;
  margin: 0 auto;
  margin-top: -4rem;
}

.footer-sns__header {
  margin-bottom: 3rem;
}

.footer-sns__subtitle {
  font-size: 2.8rem;
  margin: 0 0 0.5rem;
}

.footer-sns__title {
  font-size: 5rem;
  margin: 0;
  margin-bottom: 4rem;
  font-family: "Shippori Mincho B1";
  letter-spacing: 0.05em;
  font-weight: normal;
}

.footer-sns__body {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  gap: 4rem;
}

.footer-sns-group {
  flex: 1;
  max-width: 35rem;
}

.footer-sns-group__logo {
  margin: auto;
  display: flex;
  justify-content: center;
  height: 3rem;
  margin-bottom: 1.5rem;
  width: 25rem;
}

.footer-sns-group__logo.font-jp {
  font-family: sans-serif;
  font-weight: 900;
  letter-spacing: -0.05em;
  transform: scaleX(0.85);
  display: inline-block;
}

.footer-sns-group__cont {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  border-top: 0.1rem solid #fff;
  padding-top: 1.5rem;
}

.footer-sns__icon {
  display: inline-flex;
  color: #fff;
  transition: opacity 0.3s;
  width: 3.2rem;
  height: 3rem;
}

.footer-sns__icon svg {
  width: 100%;
  height: 100%;
}

.footer-sns__icon:hover {
  opacity: 0.7;
}

@media (max-width: 767px) {
  .footer-sns__body {
    flex-direction: column;
    align-items: center;
    gap: 4rem;
  }

  .footer-sns {
    margin: 0 3.6rem;
    padding: 5rem 0;
    width: auto;
  }

  .footer-sns__subtitle {
    font-size: 2.4rem;
  }

  .footer-sns__title {
    font-size: 4rem;
  }

  .footer-sns-group__logo {
    width: initial;
    transform: scale(0.7);
  }

  .footer-sns-group__cont {
    gap: 0.6rem;
  }

  .footer-sns-group__logo.footer-sns-group__logo__newcountry {
    margin-top: 3rem;
  }

  .footer-sns-group__logo.footer-sns-group__logo__newcountry img {
    transform: scale(1.2);
  }
}


/* ========== footer ========== */
.footer__wrap {
  margin-top: -26rem;
  padding-top: 33rem;
  background-image: url(../img/footer/footer__bg@1.5x.webp);
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: bottom;
}

.footer__inner {
  gap: 16rem;
  height: 60rem;
}

.footer__logo {
  filter: invert(1);
  width: 18.8rem;
}

.footer__address {
  margin-top: 2.4rem;
  font-size: 1.5rem;
  letter-spacing: 0.096rem;
  line-height: 1.5;
}

.footer__sitemap,
.footer__address,
.footer__bottom {
  color: #FFF;

}

.footer__sitemap {
  display: flex;
  gap: 8rem;
}

.footer__sitemap__item {
  font-size: 1.5rem;
  line-height: 1;
  padding: 1.5rem 0;
  flex-shrink: 0;
  white-space: nowrap;
}

.footer__sitemap--big {
  padding-top: 0;
  font-size: 1.8rem;
  font-weight: 700;
}

.footer__bottom {
  align-items: flex-end;
  justify-content: space-between;
  margin-top: auto;
  padding-bottom: 7.2rem;
}

.footer__privacy,
.footer__copyright {
  font-size: 1.2rem;
}

.footer__privacy {
  display: flex;
  gap: 1.2rem;
  margin-bottom: 1.6rem;
}

@media (max-width: 767px) {
  .footer__wrap {
    margin-top: -19rem;
    padding: 23rem 3.6rem 0;
    background-size: cover;
    background-position: -31rem bottom;
  }

  .footer__inner {
    gap: 3rem;
    height: 72rem;
  }

  .footer__logo {
    width: 14.8rem;
  }


  /* ========== contact ========== */

  .footer-contact {
    padding: 10rem 0;
  }

  .footer-contact__subtitle {
    font-size: 2.3rem;

  }

  .footer-contact__title {
    font-size: 3.8rem;
  }

  .footer-contact__text {
    font-size: 1.4rem;
  }

  /* ========== footer-canada ========== */

  .footer-canada {
    padding: 0 3.6rem;
    margin-bottom: 5rem;
  }

  .footer__address {
    font-size: 1.4rem;
    line-height: 1.8;
  }

  .footer__sitemap__cont {
    width: 8.5rem;
  }

  .footer__sitemap {
    gap: 2.8rem;
    flex-wrap: wrap;
  }

  .footer__sitemap__item {
    font-size: 1.2rem;
    padding: 1rem 0;
    white-space: nowrap;
  }

  .footer__sitemap--big {
    font-size: 1.4rem;
  }

  .footer__sitemap__cont--sp {
    display: flex;
    flex-wrap: wrap;
    gap: 2.8rem;
    row-gap: 0.4rem;

  }

  .footer__sitemap__cont--sp.footer__sitemap__cont {
    width: 100%;
  }

  .footer__sitemap__cont--sp .footer__sitemap__item {
    width: 8.5rem;
  }


  .footer__privacy,
  .footer__copyright {
    font-size: 1rem;
  }

  .footer__privacy {
    display: flex;
    gap: 1.2rem;
    margin-bottom: 0.4rem;
  }

  .footer__privacy__link {
    width: fit-content;
  }

  .footer__bottom {
    flex-direction: column-reverse;
    row-gap: 4rem;
    padding-bottom: 2rem;
  }

}